# ping

本节点将返回该节点的正向PING数据，默认不传参的情况下将显示两小时内的数据，可以传入开始时间与结束时间显示响应数据

## 接口方法

GET

## 接口地址

/api/ping.json

## 接口入参

| **参数**    | **格式**           | **示例**           |
| --------- | ---------------- | ---------------- |
| ip        | ip               | 127.0.0.1        |
| starttime | yyyy-mm-dd hh:ii | 2017-09-14 14:44 |
| endtime   | yyyy-mm-dd hh:ii | 2017-09-14 14:44 |

## 接口数据

```
{
    "avgdelay": [                        #平均延迟
        "248",
        "252",
        "250",
        "251"
    ],
    "lastcheck": [                        #检测时间
        "2017-09-16 16:10",
        "2017-09-16 16:11",
        "2017-09-16 16:12",
        "2017-09-16 16:13"
    ],
    "losspk": [                           #丢包率
        "0",
        "0",
        "0",
        "0"
    ],
    "maxdelay": [                         #最大延迟
        "254",
        "257",
        "255",
        "254"
    ],
    "mindelay": [                          #最小延迟
        "247",
        "246",
        "247",
        "247"
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.smartping.org/api/ping.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
